Bug 497116 - authd ends in SIGSEGV
authd ends in SIGSEGV
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: authd (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 08:58 EDT by Matěj Šusta
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of strace (4.27 KB, text/plain)
2009-04-22 08:58 EDT, Matěj Šusta
no flags Details
GDB backtrace (1.37 KB, application/octet-stream)
2009-04-22 10:59 EDT, Matěj Šusta
no flags Details

  None (edit)
Description Matěj Šusta 2009-04-22 08:58:32 EDT
Created attachment 340732 [details]
output of strace

Description of problem:
Request with random ports sent to in.authd with enabled debug flags ends in SIGSEGV.

Version-Release number of selected component (if applicable):
authd-1.4.3

Steps to Reproduce:
1. yum install authd
2. in.authd -d l0x0 12345,54321
  
Actual results:
SIGSEGV

Expected results:
12345 , 54321 : ERROR :NO-USER

Additional info:
- Attached strace:
  # LANG=C strace -o authd-f10.strace in.authd -d -l0x0 12345,54321
- Tail of /var/log/messages
  Apr 22 14:41:19 kamca kernel: in.authd[14745] general protection ip:3232080e50 sp:7fff0747e138 error:0 in libc-2.9.so[3232000000+168000]
Comment 1 Roman Rakus 2009-04-22 09:36:36 EDT
backtrace would be better
Comment 2 Matěj Šusta 2009-04-22 10:59:20 EDT
Created attachment 340760 [details]
GDB backtrace
Comment 4 Bug Zapper 2009-11-18 03:02:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:19:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.